Subject: Re: [PATCH v2 5/7] powerpc/85xx: Add MChk handler for SRIO port

From: Michael Neuling <[email-masked]>
Date: Tue, 03 Aug 2010 16:06:30 +1000

> > MCSR_MASK is not defined anywhere, so when I compile this code, I get this:
> 
> Never mind.  I see that it's been fixed already, and that the patch
> that removed MCSR_MASK was posted around the same time that this patch
> was posted.

I don't know what happened here but 2.6.35 is broken because of this
problem:

arch/powerpc/sysdev/fsl_rio.c:248: error: 'MCSR_MASK' undeclared (first use in this function)
arch/powerpc/sysdev/fsl_rio.c:248: error: (Each undeclared identifier is reported only once
arch/powerpc/sysdev/fsl_rio.c:248: error: for each function it appears in.)
arch/powerpc/sysdev/fsl_rio.c:250: error: 'MCSR_BUS_RBERR' undeclared (first use in this function)

Mikey